﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Media;
using Microsoft.DirectX.AudioVideoPlayback; 

namespace Ticker
{
    public partial class Form1 : Form
    {
        private SoundPlayer sndplayrDing;
        private SoundPlayer sndplayrKasse;
        private Video _video = null;
        private int anz_gesamt = 0;
        private int anz_p1 = 0;
        private double proz = 0;


        public Form1()
        {
            InitializeComponent();
            sndplayrDing = new
                 SoundPlayer(Ticker.Properties.Resources.ding);
            sndplayrKasse = new
                 SoundPlayer(Ticker.Properties.Resources.kasse);
        }
        void StopVideo(object sender, EventArgs e)
        {
            MessageBox.Show("Die Alleinfahrerquote beträgt bis jetzt " + this.textBoxProzent.Text + "  !!", "<<Zwischenstand>>");
        }

        void EndVideo( object sender, EventArgs e )
        {
            MessageBox.Show("Die Alleinfahrerquote betrug " + this.textBoxProzent.Text + "  !!", "<<Game over>>");
        }

        void OpenVideo()
        {
            //openFileDialog1.InitialDirectory = Application.StartupPath;
            //if (openFileDialog1.ShowDialog() == DialogResult.OK)
            //{
                // open the video
                // remember the original dimensions of the panel
                int height = videoPanel.Height;
                int width = videoPanel.Width;
                // dispose of the old video to clean up resources
                if (_video != null)
                {
                    _video.Dispose();
                }
                // open a new video
                //_video = new Video(openFileDialog1.FileName);
                _video = new Video(@"Resources\berufsverkehr.AVI");
                // assign the win form control that will contain the video
                _video.Owner = videoPanel;
                // resize to fit in the panel
                videoPanel.Width = width;
                videoPanel.Height = height;
                // play the first frame of the video so we can identify it
                _video.Audio.Volume = -4000;
                /* not working at all 8-((
                _video.Audio.Stopping += new EventHandler(StopVideo);
                _video.Audio.Ending += new EventHandler(EndVideo);
                _video.Stopping += new EventHandler(StopVideo);
                _video.Ending += new EventHandler( EndVideo );
                 */
                _video.Play();

                _video.Pause();
                
            //}
        }

        void CloseVideo()
        {
            if (_video != null)
            {
                if (_video.Playing)
                {
                    _video.Stop();
                }
                _video.Dispose();
                _video = null;
            }
        }

        private void Form1_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (Char.ToUpper(e.KeyChar) == Convert.ToChar(Keys.M)) // mehrere
            {
                if (this.textBoxGesamt.Text.Equals(""))
                {
                    anz_gesamt = 1;
                }
                else
                {
                    anz_gesamt = Convert.ToInt32(this.textBoxGesamt.Text) + 1;
                }
                if (this.textBox1Person.Text.Equals(""))
                {
                    anz_p1 = 0;
                }
                else
                {
                    anz_p1 = Convert.ToInt32(this.textBox1Person.Text);
                }
                sndplayrDing.Play();

            }
            else if (Char.ToUpper(e.KeyChar) == Convert.ToChar(Keys.A)) // allein
            {
                if (this.textBoxGesamt.Text.Equals(""))
                {
                    anz_gesamt = 1;
                }
                else
                {
                    anz_gesamt = Convert.ToInt32(this.textBoxGesamt.Text) + 1;
                }
                if (this.textBox1Person.Text.Equals(""))
                {
                    anz_p1 = 1;
                }
                else
                {
                    anz_p1 = Convert.ToInt32(this.textBox1Person.Text) + 1;
                }
                sndplayrKasse.Play();
            }
            else if (Char.ToUpper(e.KeyChar) == Convert.ToChar(Keys.P)) // pause
            {
                if (_video != null && _video.Playing)
                {
                    _video.Pause();
                    this.statusLabel.Text = "pausiert...";
                }
            }
            else if (Char.ToUpper(e.KeyChar) == Convert.ToChar(Keys.S)) // start / stop
            {
                if (_video == null)
                {
                    OpenVideo();
                }
                if (_video != null)
                {
                    if (_video.Playing)
                    {
                        _video.Stop();
                        anz_gesamt = 0;
                        anz_p1 = 0;
                        this.statusLabel.Text = "gestoppt...";
                    }
                    else
                    {
                        _video.Play();
                        this.statusLabel.Text = "läuft...";
                    }
                }
            }
            else if (Char.ToUpper(e.KeyChar) == Convert.ToChar(Keys.E)) // Ende
            {
                CloseVideo();
                MessageBox.Show("Die Alleinfahrerquote betrug " + this.textBoxProzent.Text + "  !!", "<<Game over>>");
                Application.Exit();
            }
            if (anz_gesamt == 0 || anz_p1 == 0)
            {
                proz = .0;
            } else
            {
                proz = Convert.ToDouble(anz_p1)*100.0/Convert.ToDouble(anz_gesamt);
            }

            this.textBoxGesamt.Text = Convert.ToString(anz_gesamt);
            this.textBox1Person.Text = Convert.ToString(anz_p1);
            this.textBoxProzent.Text = Convert.ToString(Math.Round(proz, 2)) + " %";
        }
    }
}
